## designate 13.0.2

=== debian/changelog ===
designate (1:13.0.2-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Mon, 28 Jul 2025 09:54:50 +0000

designate (1:13.0.0-5) UNRELEASED; urgency=medium

  * Add add-new-floatingip-handler.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Mar 2023 17:05:02 +0100

designate (1:13.0.0-4) unstable; urgency=medium

  * Switch treads to 1 by default.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Jan 2022 18:31:09 +0100

designate (1:13.0.0-3) unstable; urgency=medium

  * Blacklist tests that require resolv.conf (Closes: #987672).

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Dec 2021 20:29:20 +0100

designate (1:13.0.0-2) unstable; urgency=medium

  * Add Fix_test_failures_with_dnspython2.x.patch (Closes: #1002413).

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Dec 2021 11:45:21 +0100

designate (1:13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:03:11 +0200

designate (1:13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fix 00_default_policy.yaml.
  * d/rules: Removed --with systemd.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 22:34:53 +0200

designate (1:13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Sep 2021 12:03:19 +0200

designate (1:12.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 19:33:28 +0200

designate (1:12.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Apr 2021 22:59:47 +0200

designate (1:12.0.0~rc1-1) experimental; urgency=medium

  * Tune designate-api-uwsgi.ini for performance.
  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.
  * Add removed-httpdomain-sphinx-ext.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Mar 2021 00:02:47 +0100

designate (1:11.0.0-3) unstable; urgency=medium

  * mv /etc/designate/policy.json /etc/designate/disabled.policy.json.old
    instead of deleting /etc/designate/policy.json.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Dec 2020 11:33:41 +0100

=== debian/control ===
Source: designate
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-coverage,
 python3-debtcollector,
 python3-designateclient,
 python3-dnspython,
 python3-edgegrid,
 python3-eventlet,
 python3-fixtures,
 python3-flask,
 python3-futurist,
 python3-greenlet,
 python3-hacking,
 python3-jinja2,
 python3-jsonschema,
 python3-kerberos,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-memcache,
 python3-migrate,
 python3-monasca-statsd,
 python3-netaddr,
 python3-neutronclient,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref <!nodoc>,
 python3-os-win,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest <!nocheck>,
 python3-paste,
 python3-pastedeploy,
 python3-pecan,
 python3-pygments,
 python3-pymysql,
 python3-requests,
 python3-requests-mock <!nocheck>,
 python3-sphinxcontrib.blockdiag <!nodoc>,
 python3-sphinxcontrib.httpdomain <!nodoc>,
 python3-sqlalchemy,
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-suds,
 python3-tempest <!nocheck>,
 python3-tenacity,
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
 python3-tooz,
 python3-webob,
 python3-webtest <!nocheck>,
 python3-werkzeug,
 python3-zake,
 sqlite3,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/designate
Vcs-Git: https://salsa.debian.org/openstack-team/services/designate.git
Homepage: https://github.com/openstack/designate

Package: designate
Architecture: all
Depends:
 designate-agent (= ${binary:Version}),
 designate-api (= ${binary:Version}),
 designate-central (= ${binary:Version}),
 designate-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - metapackage
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package is a metapackage that helps installing all of Designate at once.

Package: designate-agent
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - agent
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the agent.

Package: designate-api
Architecture: all
Depends:
 adduser,
 debconf,
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack DNS as a Service - API server
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the REST API server.

Package: designate-central
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack DNS as a Service - central daemon
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the central daemon.

Package: designate-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-designate (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - common files
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains common files.

Package: designate-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack DNS as a Service - doc
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the documentation.

Package: designate-mdns
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack DNS as a Service - mdns
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the mdns service.

Package: designate-pool-manager
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack DNS as a Service - pool manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the pool manager service.

Package: designate-producer
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - producer
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the producer service.

Package: designate-sink
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - sink
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the sink service.

Package: designate-worker
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - worker
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the worker service.

Package: designate-zone-manager
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack DNS as a Service - zone manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the zone manager service.

Package: python3-designate
Section: python
Architecture: all
Depends:
 python3-edgegrid,
 python3-debtcollector,
 python3-designateclient,
 python3-dnspython,
 python3-eventlet,
 python3-flask,
 python3-futurist,
 python3-greenlet,
 python3-jinja2,
 python3-jsonschema,
 python3-kerberos,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-memcache,
 python3-migrate,
 python3-monasca-statsd,
 python3-mysqldb,
 python3-netaddr,
 python3-neutronclient,
 python3-os-win,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-pymysql,
 python3-requests,
 python3-sqlalchemy,
 python3-stevedore,
 python3-suds,
 python3-tenacity,
 python3-tooz,
 python3-webob,
 python3-werkzeug,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - Python libs
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the Python libraries.

## designate 14.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
sphinxcontrib-blockdiag>=1.5.4 # BSD
reno>=3.1.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=2.2.0 # Apache-2.0

=== contrib/designate-ext-samplehandler/requirements.txt ===
pbr>=0.6,<1.0
-e git+https://github.com/openstack/designate.git#egg=designate

=== debian/changelog ===
designate (1:14.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 14.x.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 16:15:28 -0400

designate (1:13.0.0+git2022030310.8ce022a7-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 10:59:05 -0500

designate (1:13.0.0+git2022011215.bff3d5f6-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control, d/rules: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 15:58:02 -0500

designate (1:13.0.0+git2021120810.aa798fc0-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/pydist-overrides: Drop suds-jurko which is no longer a dependency.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Dec 2021 10:45:54 -0500

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/designate/ designate-(14\.\d.*)\.tar\.gz

## designate 14.0.2

=== debian/changelog ===
designate (1:14.0.2-0ubuntu1) jammy; urgency=medium

  * New stable point release for OpenStack Yoga (LP: #2019759).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 15 May 2023 16:06:48 -0400

designate (1:14.0.1-0ubuntu1) jammy; urgency=medium

  * d/gbp.conf: Create stable/yoga branch.
  * New stable point release for OpenStack Yoga (LP: #1980369).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Jul 2022 10:43:20 -0400

## designate 14.0.3

=== debian/changelog ===
designate (1:14.0.3-0ubuntu1) jammy; urgency=medium

  * New stable point release for OpenStack Yoga (LP: #2030526).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 Aug 2023 12:23:03 -0400

## designate 14.0.4

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

eventlet>=0.26.1 # MIT
Flask!=0.11,>=0.10 # BSD
greenlet>=0.4.15 # MIT
Jinja2>=2.10 # BSD License (3 clause)
jsonschema>=3.2.0 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
netaddr>=0.7.18 # BSD
oslo.config>=6.8.0 # Apache-2.0
oslo.concurrency>=4.2.0 # Apache-2.0
oslo.messaging>=12.4.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service>=1.31.0 # Apache-2.0
oslo.upgradecheck>=1.3.0
oslo.utils>=4.7.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
osprofiler>=3.4.0 # Apache-2.0
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
pbr>=3.1.1 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
python-designateclient>=2.12.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
requests>=2.23.0 # Apache-2.0
tenacity>=6.0.0 # Apache-2.0
SQLAlchemy>=1.2.19 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
WebOb>=1.7.1 # MIT
dnspython>=1.16.0  # http://www.dnspython.org/LICENSE
oslo.db>=8.3.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.policy>=3.7.0 # Apache-2.0
Werkzeug>=0.9 # BSD License
python-memcached>=1.56 # PSF
tooz>=1.58.0 # Apache-2.0
debtcollector>=1.19.0 # Apache-2.0
os-win>=4.1.0 # Apache-2.0
monasca-statsd>=1.4.0 # Apache-2.0
futurist>=1.2.0 # Apache-2.0
edgegrid-python>=1.1.1 # Apache-2.0

=== debian/changelog ===
designate (1:14.0.4-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 06 Nov 2025 09:59:01 +0000

designate (1:14.0.0-3) UNRELEASED; urgency=medium

  * Add add-new-floatingip-handler.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Mar 2023 17:05:44 +0100

designate (1:14.0.0-2) unstable; urgency=medium

  * Add Remove_invalid_use_of_jsonschema.compat.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jul 2022 17:56:31 +0200

designate (1:14.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 16:14:13 +0200

designate (1:14.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 15:03:49 +0100

designate (1:14.0.0~rc1-1) experimental; urgency=medium

  * Better long description of each daemons.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Fix_test_failures_with_dnspython2.x.patch applied upstream.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Mar 2022 17:47:08 +0100

=== debian/control ===
--- 
+++ 
@@ -60,6 +60,7 @@
  python3-paste,
  python3-pastedeploy,
  python3-pecan,
+ python3-osprofiler,
  python3-pygments,
  python3-pymysql,
  python3-requests,
@@ -69,7 +70,6 @@
  python3-sqlalchemy,
  python3-stestr <!nocheck>,
  python3-stevedore,
- python3-suds,
  python3-tempest <!nocheck>,
  python3-tenacity,
  python3-testscenarios <!nocheck>,
@@ -142,7 +142,10 @@
  Neutron notifications (for auto-generated records). Designate supports
  PowerDNS and Bind9 out of the box.
  .
- This package provides the REST API server.
+ This package provides the REST API server, accepting HTTP requests, validating
+ authentication tokens with Keystone and passing them to the Designate Central
+ service over AMQP. Multiple versions of the API can be hosted, as well as API
+ extensions, allowing for pluggable extensions to the core API.
 
 Package: designate-central
 Architecture: all
@@ -159,7 +162,9 @@
  Neutron notifications (for auto-generated records). Designate supports
  PowerDNS and Bind9 out of the box.
  .
- This package provides the central daemon.
+ This package provides the central daemon. It is the service that handles RPC
+ requests via the MQ, it coordinates the persistent storage of data and applies
+ business logic to data from the API.
 
 Package: designate-common
 Architecture: all
@@ -212,7 +217,12 @@
  Neutron notifications (for auto-generated records). Designate supports
  PowerDNS and Bind9 out of the box.
  .
- This package provides the mdns service.
+ This package provides the mini-dns service. It is the service that sends DNS
+ NOTIFY and answers zone transfer (AXFR) requests. This allows Designate to
+ integrate with any DNS server that supports these very standard methods of
+ communicating. designate-mdns also encapsulates all other forms of DNS
+ protocol that Designate performs. For example, sending SOA queries to check
+ that a change is live.
 
 Package: designate-pool-manager
 Architecture: all
@@ -245,7 +255,19 @@
  Neutron notifications (for auto-generated records). Designate supports
  PowerDNS and Bind9 out of the box.
  .
- This package provides the producer service.
+ This package provides the producer service. It is a service that handles the
+ invocation of long-running and potentially large jobs. Producer processes
+ start work for an automatically assigned shard of the zones Designate manages.
+ Shards are allocated based on the first three characters of the zone ID (a
+ UUID field). The number of shards under management of a single producer
+ process is equal to the total number of shards divided by the number of
+ producer processes. This means the more producer processes are started, the
+ less work is created at any one time.
+ .
+ The current implemented tasks in producer include emitting dns.zone.exists
+ events for Ceilometer, purging deleted zones from database, polling secondary
+ zones at their refresh intervals, generating delayed NOTIFY transactions, and
+ invoking a periodic recovery of zones in an error state.
 
 Package: designate-sink
 Architecture: all
@@ -261,7 +283,14 @@
  Neutron notifications (for auto-generated records). Designate supports
  PowerDNS and Bind9 out of the box.
  .
- This package provides the sink service.
+ This package provides the sink service. It is an optional service which
+ listens for event Notifications, such as compute.instance.create.end, handlers
+ are available for Nova and Neutron. Notification events can then be used to
+ trigger record creation & deletion.
+ .
+ The current sink implementations generate simple forward lookup A records,
+ using a format specified in handler-nova configuration. Any field in the event
+ notification can be used to generate a record.
 
 Package: designate-worker
 Architecture: all
@@ -277,7 +306,14 @@
  Neutron notifications (for auto-generated records). Designate supports
  PowerDNS and Bind9 out of the box.
  .
- This package provides the worker service.
+ This package provides the worker service. It is a service that manages state
+ of the DNS servers Designate manages, and any other long-running or otherwise
+ complicated piece of work. The worker reads configuration for DNS servers from
+ the Designate database, which is populated via the pools.yaml file. These DNS
+ server backends are loaded into the worker so it understands how to create,
+ update, and delete zones and recordsets on each DNS server. The Worker is
+ fully aware of DNS Server 'Pools', so a single worker process can manage many
+ pools of DNS servers.
 
 Package: designate-zone-manager
 Architecture: all
@@ -288,74 +324,3 @@
  ${ostack-lsb-base},
  ${python3:Depends},
 Description: OpenStack DNS as a Service - zone manager
- Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
- REST API for domain & record management. It is Integrated with Keystone for
- authentication, and provides a framework in place to integrate with Nova and
- Neutron notifications (for auto-generated records). Designate supports
- PowerDNS and Bind9 out of the box.
- .
- This package provides the zone manager service.
-
-Package: python3-designate
-Section: python
-Architecture: all
-Depends:
- python3-edgegrid,
- python3-debtcollector,
- python3-designateclient,
- python3-dnspython,
- python3-eventlet,
- python3-flask,
- python3-futurist,
- python3-greenlet,
- python3-jinja2,
- python3-jsonschema,
- python3-kerberos,
- python3-keystoneauth1,
- python3-keystonemiddleware,
- python3-memcache,
- python3-migrate,
- python3-monasca-statsd,
- python3-mysqldb,
- python3-netaddr,
- python3-neutronclient,
- python3-os-win,
- python3-oslo.concurrency,
- python3-oslo.config,
- python3-oslo.context,
- python3-oslo.db,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.messaging,
- python3-oslo.middleware,
- python3-oslo.policy (>= 3.7.0),
- python3-oslo.reports,
- python3-oslo.rootwrap,
- python3-oslo.serialization,
- python3-oslo.service,
- python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslo.utils,
- python3-oslo.versionedobjects,
- python3-paste,
- python3-pastedeploy,
- python3-pbr,
- python3-pecan,
- python3-pymysql,
- python3-requests,
- python3-sqlalchemy,
- python3-stevedore,
- python3-suds,
- python3-tenacity,
- python3-tooz,
- python3-webob,
- python3-werkzeug,
- ${misc:Depends},
- ${python3:Depends},
-Description: OpenStack DNS as a Service - Python libs
- Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
- REST API for domain & record management. It is Integrated with Keystone for
- authentication, and provides a framework in place to integrate with Nova and
- Neutron notifications (for auto-generated records). Designate supports
- PowerDNS and Bind9 out of the box.
- .
- This package provides the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	python3 setup.py clean
	rm -f debian/designate-common.postinst debian/designate-common.config debian/designate-api.config debian/designate-api.postinst debian/designate-common.postrm
	rm -rf doc/build build *.egg-info
	rm -f debian/*.init debian/*.upstart debian/*.service
	find . -name '*.pyc' -exec rm {} \;
	rm -f ChangeLog
	rm -f AUTHORS
	rm -rf .testrepository
	rm -f doc/source/_static/designate.conf.sample
	rm -rf debian/*.templates debian/po

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm designate-common.postrm
	pkgos-merge-templates designate-api designate endpoint
	pkgos-merge-templates designate-common designate db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'designate\.tests\.unit\.(?!.*test_pool_manager\.test_service\.PoolManagerInitTest\.test_init_no_pool_targets.*|.*agent\.backends\.test_denominator\.DenominatorAgentBackendTestCase\.test_create_zone.*|.*agent\.backends\.test_denominator\.DenominatorAgentBackendTestCase\.test_update_zone.*|.*designate\.tests\.unit\.agent\.backends\.test_bind9\.Bind9AgentBackendTestCase\.test_find_zone_serial.*|.*designate\.tests\.unit\.mdns\.test_handler\.MdnsHandleTest\.test_notify.*)'
endif

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	mkdir -p $(CURDIR)/debian/designate-common/usr/share/designate-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/designate-common/usr/share/designate-common/designate.conf \
		--wrap-width 140 \
		--namespace designate.conf \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi \
		--namespace oslo.db \
		--namespace oslo.middleware \
		--namespace oslo.concurrency \
		--namespace keystonemiddleware.auth_token

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/designate-common/usr/share/designate-common/designate.conf keystone_authtoken designate

	mkdir -p $(CURDIR)/debian/designate-common/etc/designate/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/designate-common/etc/designate/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace designate

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/designate-common/etc/designate/policy.d/00_default_policy.yaml


	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/designate-common/usr/share/designate-common/designate.conf oslo_policy policy_dirs /etc/designate/policy.d

	pkgos-fix-config-default $(CURDIR)/debian/designate-common/usr/share/designate-common/designate.conf DEFAULT pybasedir /usr/lib/python3/dist-packages
	pkgos-fix-config-default $(CURDIR)/debian/designate-common/usr/share/designate-common/designate.conf oslo_concurrency lock_path /run/lock/designate

	dh_install
	dh_missing --fail-missing

	# Install other config files
	mkdir -p $(CURDIR)/debian/designate-common/etc/designate
	cp etc/designate/rootwrap.conf.sample $(CURDIR)/debian/designate-common/etc/designate/rootwrap.conf
	cp -r etc/designate/rootwrap.d $(CURDIR)/debian/designate-common/etc/designate

	cp etc/designate/pools.yaml.sample $(CURDIR)/debian/designate-common/usr/share/designate-common/pools.yaml
	mkdir -p $(CURDIR)/debian/designate-common/usr/share/designate-common/examples
	cp etc/designate/pools.yaml.* $(CURDIR)/debian/designate-common/usr/share/designate-common/examples

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/designate-doc/usr/share/doc/designate-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## designate 15.0.0

=== debian/changelog ===
designate (1:15.0.0-4) unstable; urgency=medium

  * Add add-new-floatingip-handler.patch.
  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 13:15:43 +0200

designate (1:15.0.0-3) unstable; urgency=medium

  * Blacklist TestDesignateRpcService.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Jan 2023 13:28:32 +0100

designate (1:15.0.0-2) unstable; urgency=medium

  * Blacklist all agent tests, as:
    - they are deprecated and will be gone upstream soon.
    - they break with dnspython >= 2.3.0.
  * Add do-not-use-docutils-set_class.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Jan 2023 15:35:32 +0100

designate (1:15.0.0-1) unstable; urgency=medium

  * New upsteram release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 21:38:36 +0200

designate (1:15.0.0~rc1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 18:10:24 +0200

designate (1:15.0.0~rc1-2) experimental; urgency=medium

  * Add Fix-mdns-test_handler-setup.patch and re-enable previous disabled
    tests, fixed with this upstream patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Sep 2022 08:39:55 +0200

designate (1:15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Remove_invalid_use_of_jsonschema.compat.patch applied upstream.
  * Blacklist *mdns.test_handler.MdnsHandleTest\.test_notify and
    mdns.test_handler.MdnsHandleTest.test_worker_api that break depending on
    the order which tests are run (to be fixed upstream).

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Sep 2022 17:28:05 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
 Build-Depends:
  debhelper-compat (= 10),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 123~),
  po-debconf,
  python3-all,
  python3-pbr,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
+ alembic (>= 1.8.1),
  bandit,
  python3-coverage,
  python3-debtcollector,
@@ -34,19 +35,17 @@
  python3-keystonemiddleware,
  python3-memcache,
  python3-migrate,
- python3-monasca-statsd,
- python3-netaddr,
  python3-neutronclient,
  python3-openstackdocstheme <!nodoc>,
  python3-os-api-ref <!nodoc>,
  python3-os-win,
  python3-oslo.concurrency,
  python3-oslo.config,
- python3-oslo.context,
+ python3-oslo.context (>= 4.0.0),
  python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.messaging,
+ python3-oslo.messaging (>= 14.0.0),
  python3-oslo.middleware,
  python3-oslo.policy (>= 3.7.0),
  python3-oslo.reports,

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,8 @@
 	done
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'designate\.tests\.unit\.(?!.*test_pool_manager\.test_service\.PoolManagerInitTest\.test_init_no_pool_targets.*|.*agent\.backends\.test_denominator\.DenominatorAgentBackendTestCase\.test_create_zone.*|.*agent\.backends\.test_denominator\.DenominatorAgentBackendTestCase\.test_update_zone.*|.*designate\.tests\.unit\.agent\.backends\.test_bind9\.Bind9AgentBackendTestCase\.test_find_zone_serial.*|.*designate\.tests\.unit\.mdns\.test_handler\.MdnsHandleTest\.test_notify.*)'
+	pkgos-dh_auto_test --no-py2 'designate\.tests\.unit\.(?!.*test_pool_manager\.test_service\.PoolManagerInitTest\.test_init_no_pool_targets.*|.*agent.*|.*designate\.tests\.unit\.mdns\.test_handler\.MdnsHandleTest\.test_notify.*|.*test_service\.TestDesignateRpcService.*|.*test_service\.TestDesignateServiceInit.*)'
+
 endif
 
 	rm -rf $(CURDIR)/debian/tmp/usr/etc
@@ -88,7 +89,10 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/designate-doc/usr/share/doc/designate-doc/html
+	if ! PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/designate-doc/usr/share/doc/designate-doc/html ; then \
+		cat /tmp/sphinx-err-* ; \
+		exit 1 ; \
+	fi
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif
